(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7163,        204]
NotebookOptionsPosition[      6938,        191]
NotebookOutlinePosition[      7212,        205]
CellTagsIndexPosition[      7169,        202]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Framed", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"contents", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", 
    RowBox[{"EventHandler", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.1", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"Dynamic", "[", 
            RowBox[{
             RowBox[{"contents", "=", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.001"}], "}"}]}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "0"}], "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"-", "0.8"}]}], "}"}], 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "]"}], "&"}],
                 ",", "contents"}], "]"}]}], ";", 
             RowBox[{"Map", "[", 
              RowBox[{"First", ",", "contents"}], "]"}]}], "]"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
       RowBox[{"(", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"contents", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "]"}], ")"}]}]}], 
     "]"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Framed", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"contents", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", 
    RowBox[{"EventHandler", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.1", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"Dynamic", "[", 
            RowBox[{
             RowBox[{"contents", "=", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"t", "=", 
                  RowBox[{"AbsoluteTime", "[", "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"t", "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "4"}], "}"}], 
                    RowBox[{"(", 
                    RowBox[{"t", "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}], ",", "t"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "0"}], "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"-", "0.8"}]}], "}"}], 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "t"}], "}"}]}], 
                    "]"}], "&"}], ",", "contents"}], "]"}]}], "]"}]}], ";", 
             RowBox[{"Map", "[", 
              RowBox[{"First", ",", "contents"}], "]"}]}], "]"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
       RowBox[{"(", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"contents", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"AbsoluteTime", "[", "]"}]}], "}"}]}], "]"}], ")"}]}]}], 
     "]"}]}], "]"}], "]"}]], "Input"]
},
FrontEndVersion->"6.0 for Macintosh",
WindowSize->{645, 706},
WindowMargins->{{4, Automatic}, {Automatic, 4}}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 2788, 74, 174, "Input"],
Cell[3359, 97, 3575, 92, 174, "Input"]
}
]
*)

(* End of internal cache information *)
