(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5543,        163]
NotebookOptionsPosition[      5336,        150]
NotebookOutlinePosition[      5631,        165]
CellTagsIndexPosition[      5588,        162]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Live", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", "=", 
       RowBox[{"Part", "[", 
        RowBox[{
         RowBox[{"CellularAutomaton", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"RuleNumber", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"2", ",", "2", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2", ",", "1", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "}"}]}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Table", "[", 
               RowBox[{"1", ",", 
                RowBox[{"{", "InitialState", "}"}]}], "]"}], "}"}], ",", 
             "0"}], "}"}], ",", "Steps", ",", 
           RowBox[{"{", 
            RowBox[{"All", ",", "All", ",", "All"}], "}"}]}], "]"}], ",", 
         RowBox[{"1", "+", 
          RowBox[{"Accumulate", "[", 
           RowBox[{"IntegerDigits", "[", 
            RowBox[{"ChoiceNumber", ",", "2", ",", "Steps"}], "]"}], 
           "]"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Band", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics3D", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Hue", "[", 
                 RowBox[{"Mod", "[", 
                  RowBox[{
                   RowBox[{"#1", "/", "10"}], ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Shape", "[", 
                 RowBox[{"{", 
                  RowBox[{"#2", ",", "#3", ",", 
                   RowBox[{"-", "#1"}]}], "}"}], "]"}]}], "}"}], "&"}], "@@@",
              
             RowBox[{"Position", "[", 
              RowBox[{"u", ",", "1"}], "]"}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", "Steps"}], "+", "3"}], ")"}], 
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}]}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", "Steps"}], "+", "3", "+", "InitialState"}], 
                ")"}], 
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "Steps"}], "-", "1"}], ",", "0"}], "}"}]}], 
             "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Method", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<RotationControl\>\"", "\[Rule]", "\"\<Globe\>\""}], 
             "}"}]}]}], "]"}], ",", 
         RowBox[{"Column", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ArrayPlot", "[", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"Total", "[", "#", "]"}], "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}], "&"}], "/@", 
           RowBox[{"{", 
            RowBox[{"u", ",", 
             RowBox[{"Transpose", "[", "u", "]"}], ",", 
             RowBox[{"Transpose", "[", 
              RowBox[{"u", ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"Spacer", "[", "30", "]"}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"Shape", ",", 
     RowBox[{"{", 
      RowBox[{"Cuboid", ",", "Sphere"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"RuleNumber", ",", 
     RowBox[{"{", 
      RowBox[{
      "121268", ",", "124844", ",", "124868", ",", "164124", ",", "174826", 
       ",", "174832"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"ChoiceNumber", ",", "1", ",", 
     RowBox[{"2", "^", "20"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{"InitialState", ",", "5", ",", "25"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"Steps", ",", "6", ",", "15", ",", "1"}], "}"}]}], "]"}]], "Input"]
},
FrontEndVersion->"6.0 for Macintosh",
WindowSize->{1280, 772},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 4764, 127, 404, "Input"]
}
]
*)

(* End of internal cache information *)

